/**
 * output package name
 */
package com.kingdee.eas.custom.esign.bizEnum;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.IntEnum;

/**
 * output class name
 */
public class IssueStatusEnum extends IntEnum
{
    public static final int UNINITIATEDSIGN_VALUE = 1;//alias=未发起签署
    public static final int INITIATEDSIGN_VALUE = 2;//alias=已发起签署

    public static final IssueStatusEnum UNINITIATEDSIGN = new IssueStatusEnum("UNINITIATEDSIGN", UNINITIATEDSIGN_VALUE);
    public static final IssueStatusEnum INITIATEDSIGN = new IssueStatusEnum("INITIATEDSIGN", INITIATEDSIGN_VALUE);

    /**
     * construct function
     * @param integer issueStatusEnum
     */
    private IssueStatusEnum(String name, int issueStatusEnum)
    {
        super(name, issueStatusEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static IssueStatusEnum getEnum(String issueStatusEnum)
    {
        return (IssueStatusEnum)getEnum(IssueStatusEnum.class, issueStatusEnum);
    }

    /**
     * getEnum function
     * @param String arguments
     */
    public static IssueStatusEnum getEnum(int issueStatusEnum)
    {
        return (IssueStatusEnum)getEnum(IssueStatusEnum.class, issueStatusEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(IssueStatusEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(IssueStatusEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(IssueStatusEnum.class);
    }
}